
{% extends "dash/layouts/auth-default.html" %}

{% block title %} Register {% endblock title %}

{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

      <div class="peer peer-greed h-100 pos-r bgr-n bgpX-c bgpY-c bgsz-cv" style='background-image: url("/static/dash/assets/static/images/bg.jpg")'>
        <div class="pos-a centerXY">
          <div class="bgc-white bdrs-50p pos-r" style="width: 120px; height: 120px;">
            <img class="pos-a centerXY" src="/static/dash/assets/static/images/logo.png" alt="">
          </div>
        </div>
      </div>
      <div class="col-12 col-md-4 peer pX-40 pY-80 h-100 bgc-white scrollable pos-r" style="min-width: 320px;">
      
        <h3 class="fw-300 c-grey-900 mB-40">
          <a href="https://appseed.us/admin-dashboards/django-dashboard-adminator">Django Dashboard Adminator</a> - Register
        </h3>

        {% if msg %}
            <h4 class="fw-300 c-grey-900 mB-40">{{ msg | safe }}</h4>
        {% else %}
            <h4 class="fw-300 c-grey-900 mB-40">
              Add your credentials or <a href={% url 'login' %} >authenticate</a> with an existing account.
            </h4>
        {% endif %}

        {% if success %}
        
          Please <a href={% url 'login' %} class="text-black text-small">authenticate</a> using the new account.

        {% else %}

          <form method="post" action="">

            {% csrf_token %}

            <div class="form-group">
              <label class="text-normal text-dark">Username</label>
              {{ form.username }}
            </div>
            <span class="text-danger">{{ form.username.errors }}</span>
            
            <div class="form-group">
              <label class="text-normal text-dark">eMail Address</label>
              {{ form.email }}
            </div>
            <span class="text-danger">{{ form.email.errors }}</span>

            <div class="form-group">
              <label class="text-normal text-dark">Password</label>
              {{ form.password1 }}
            </div>
            <span class="text-danger">{{ form.password1.errors }}</span>

            <div class="form-group">
              <label class="text-normal text-dark">Password</label>
              {{ form.password2 }}
            </div>
            <span class="text-danger">{{ form.password2.errors }}</span>

            <div class="form-group">
              <button type="submit" class="btn btn-primary">Register</button> 

              &nbsp; &nbsp;
              <span class="text-small font-weight-semibold">Already have and account?</span>
              <a href="/login.html" class="text-black text-small">Login</a>    
            </div>

          </form>
        {% endif %}

      </div>

{% endblock content %}
